Anonymous Login
2018-12-15 15:03 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001717OpenClonkEnginepublic2016-05-07 16:13
ReporterLuchs 
Assigned ToSven2 
PriorityurgentSeveritycrashReproducibilityrandom
StatusresolvedResolutionfixed 
Product Versiongit master 
Target Version8.0Fixed in Versiongit master 
Summary0001717: Memory corruption on master
DescriptionWe're seeing a ton of crashes on both Windows and Linux during online play. It usually crashes in the lobby or during loading the game.

Below is a stack trace on Linux, crashed in the lobby.
Steps To ReproduceThread 1 "openclonk" received signal SIGSEGV, Segmentation fault.
0x00007ffff1ce1fa6 in malloc_consolidate () from /usr/lib/libc.so.6
(gdb) bt
#0 0x00007ffff1ce1fa6 in malloc_consolidate () from /usr/lib/libc.so.6
#1 0x00007ffff1ce3c90 in _int_malloc () from /usr/lib/libc.so.6
#2 0x00007ffff1ce5924 in malloc () from /usr/lib/libc.so.6
0000003 0x00007ffff25b6de8 in operator new (sz=8456) at /build/gcc-multilib/src/gcc-5-20160209/libstdc++-v3/libsupc++/new_op.cc:50
#4 0x000000000067bc4a in C4Network2ResList::AddByCore(C4Network2ResCore const&, bool) (this=0xb09dc0 <Network+544>, Core=warning: RTTI symbol not found for class 'C4Network2ResCore'
...,
    fLoad=fLoad@entry=true) at ../src/network/C4Network2Res.cpp:1469
0000005 0x000000000052d15f in C4PlayerInfo::LoadResource() (this=0x1e853360) at ../src/control/C4PlayerInfo.cpp:303
0000006 0x000000000052d22d in C4ClientPlayerInfos::LoadResources() () at ../src/control/C4PlayerInfo.cpp:676
0000007 C4PlayerInfoList::LoadResources() (this=<optimized out>) at ../src/control/C4PlayerInfo.cpp:1767
0000008 0x000000000067c760 in C4Network2Players::HandlePlayerInfo(C4ClientPlayerInfos const&) (this=0xb09f10 <Network+880>,
    rInfoPacket=...) at ../src/network/C4Network2Players.cpp:239
0000009 0x00000000004e5603 in C4GameControl::ExecControlPacket(C4PacketType, C4ControlPacket*) (this=0xab42e0 <Control>,
    eCtrlType=eCtrlType@entry=CID_PlrInfo, pPkt=pPkt@entry=0xabb9b40) at ../src/control/C4GameControl.cpp:490
#10 0x00000000006e3ab8 in C4GameControlNetwork::HandleControlPkt(C4PacketType, C4ControlPacket*, C4ControlDeliveryType) (
    this=0xab4300 <Control+32>, eCtrlType=CID_PlrInfo, pCtrl=0xabb9b40, eType=<optimized out>)
    at ../src/network/C4GameControlNetwork.cpp:592
0000011 0x00000000006e3c8f in C4GameControlNetwork::HandlePacket(char, C4PacketBase const*, C4Network2IOConnection*) (
    this=0xab4300 <Control+32>, cStatus=<optimized out>, pPacket=0x15407180, pConn=pConn@entry=0x1e14f900)
    at ../src/network/C4GameControlNetwork.cpp:499
#12 0x000000000066226e in C4Network2IO::CallHandlers(int, C4IDPacket const*, C4Network2IOConnection*, bool) (
    this=this@entry=0xb09bc0 <Network+32>, iHandlerID=<optimized out>, pPkt=pPkt@entry=0x7fffffffc520, pConn=pConn@entry=0x1e14f900,
    fThread=fThread@entry=false) at ../src/network/C4Network2IO.cpp:908
0000013 0x00000000006617dd in C4Network2IO::HandlePacket(C4NetIOPacket const&, C4Network2IOConnection*, bool) (this=0xb09bc0 <Network+32>,
    rPacket=..., pConn=0x1e14f900, fThread=fThread@entry=false) at ../src/network/C4Network2IO.cpp:823
0000014 0x000000000066237e in C4Network2IO::OnThreadEvent(C4InteractiveEventType, void*) (this=<optimized out>, eEvent=<optimized out>,
    pEventData=0x7fffac003760) at ../src/network/C4Network2IO.cpp:633
0000015 0x00000000006db794 in C4InteractiveThread::ProcessEvents() (this=0xacb528 <Application+43688>)
    at ../src/network/C4InteractiveThread.cpp:161
0000016 0x00000000006db8a6 in C4InteractiveThreadNotifyProc::Execute(int, pollfd*) (this=0xacb650 <Application+43984>)
    at ../src/network/C4InteractiveThread.cpp:206
0000017 0x000000000072670c in StdScheduler::DoScheduleProcs(int) (this=0xac0a80 <Application>, iTimeout=<optimized out>)
    at ../src/platform/StdSchedulerPoll.cpp:175
0000018 0x0000000000726b68 in StdScheduler::ScheduleProcs(int) (this=0xac0a80 <Application>, iTimeout=iTimeout@entry=27)
    at ../src/platform/StdScheduler.cpp:153
0000019 0x00000000006e018f in C4Network2::DoLobby() (this=0xb09ba0 <Network>) at ../src/network/C4Network2.cpp:386
0000020 0x000000000050380a in C4Game::Init() (this=0xacb8e0 <Game>) at ../src/game/C4Game.cpp:399
0000021 0x0000000000503a09 in C4Application::GameTick() (this=0xac0a80 <Application>) at ../src/game/C4Application.cpp:688
0000022 0x0000000000503c02 in C4ApplicationGameTimer::Execute(int, pollfd*) (this=0xc0aaf0, iTimeout=<optimized out>)
    at ../src/game/C4Application.cpp:906
0000023 0x000000000072670c in StdScheduler::DoScheduleProcs(int) (this=0xac0a80 <Application>, iTimeout=<optimized out>)
    at ../src/platform/StdSchedulerPoll.cpp:175
0000024 0x0000000000726b68 in StdScheduler::ScheduleProcs(int) (this=this@entry=0xac0a80 <Application>, iTimeout=iTimeout@entry=27)
    at ../src/platform/StdScheduler.cpp:153
#25 0x000000000064a7dd in C4AbstractApp::Run() (this=0xac0a80 <Application>) at ../src/platform/C4App.cpp:25
0000026 0x00000000004be5c0 in main (argc=1, argv=0x7fffffffdbc8) at ../src/game/ClonkMain.cpp:237
TagsNo tags attached.
Attached Files
  • txt file icon valgrind.txt (36,711 bytes) 2016-04-17 18:13 -
    ==20191== Conditional jump or move depends on uninitialised value(s)
    ==20191==    at 0x7196EF: std::__cxx11::regex_iterator<char const*, char, std::__cxx11::regex_traits<char> >::operator==(std::__cxx11::regex_iterator<char const*, char, std::__cxx11::regex_traits<char> > const&) const [clone .constprop.1584] (regex.tcc:517)
    ==20191==    by 0x61AA12: operator!= (regex.h:2497)
    ==20191==    by 0x61AA12: GetResStr (C4Language.cpp:272)
    ==20191==    by 0x61AA12: void (anonymous namespace)::CopyResStr<1025ul>(char const*, char const*, char (&) [1025ul]) (C4Language.cpp:294)
    ==20191==    by 0x61B35F: C4Language::LoadInfos(C4Group&) (C4Language.cpp:320)
    ==20191==    by 0x62260E: C4Language::InitInfos() (C4Language.cpp:238)
    ==20191==    by 0x6227C9: C4Language::Init() (C4Language.cpp:100)
    ==20191==    by 0x4FF0D0: C4Application::DoInit(int, char**) (C4Application.cpp:141)
    ==20191==    by 0x61AFF4: C4AbstractApp::Init(int, char**) (C4AppGTK.cpp:221)
    ==20191==    by 0x4BE5B1: main (ClonkMain.cpp:231)
    ==20191==
    ==20191== Conditional jump or move depends on uninitialised value(s)
    ==20191==    at 0x7196EF: std::__cxx11::regex_iterator<char const*, char, std::__cxx11::regex_traits<char> >::operator==(std::__cxx11::regex_iterator<char const*, char, std::__cxx11::regex_traits<char> > const&) const [clone .constprop.1584] (regex.tcc:517)
    ==20191==    by 0x61AA12: operator!= (regex.h:2497)
    ==20191==    by 0x61AA12: GetResStr (C4Language.cpp:272)
    ==20191==    by 0x61AA12: void (anonymous namespace)::CopyResStr<1025ul>(char const*, char const*, char (&) [1025ul]) (C4Language.cpp:294)
    ==20191==    by 0x61B371: C4Language::LoadInfos(C4Group&) (C4Language.cpp:321)
    ==20191==    by 0x62260E: C4Language::InitInfos() (C4Language.cpp:238)
    ==20191==    by 0x6227C9: C4Language::Init() (C4Language.cpp:100)
    ==20191==    by 0x4FF0D0: C4Application::DoInit(int, char**) (C4Application.cpp:141)
    ==20191==    by 0x61AFF4: C4AbstractApp::Init(int, char**) (C4AppGTK.cpp:221)
    ==20191==    by 0x4BE5B1: main (ClonkMain.cpp:231)
    ==20191==
    ==20191== Conditional jump or move depends on uninitialised value(s)
    ==20191==    at 0x7196EF: std::__cxx11::regex_iterator<char const*, char, std::__cxx11::regex_traits<char> >::operator==(std::__cxx11::regex_iterator<char const*, char, std::__cxx11::regex_traits<char> > const&) const [clone .constprop.1584] (regex.tcc:517)
    ==20191==    by 0x61AA12: operator!= (regex.h:2497)
    ==20191==    by 0x61AA12: GetResStr (C4Language.cpp:272)
    ==20191==    by 0x61AA12: void (anonymous namespace)::CopyResStr<1025ul>(char const*, char const*, char (&) [1025ul]) (C4Language.cpp:294)
    ==20191==    by 0x61B383: C4Language::LoadInfos(C4Group&) (C4Language.cpp:322)
    ==20191==    by 0x62260E: C4Language::InitInfos() (C4Language.cpp:238)
    ==20191==    by 0x6227C9: C4Language::Init() (C4Language.cpp:100)
    ==20191==    by 0x4FF0D0: C4Application::DoInit(int, char**) (C4Application.cpp:141)
    ==20191==    by 0x61AFF4: C4AbstractApp::Init(int, char**) (C4AppGTK.cpp:221)
    ==20191==    by 0x4BE5B1: main (ClonkMain.cpp:231)
    
    
    
    ==15569== Thread 7:
    ==15569== Mismatched free() / delete / delete []
    ==15569==    at 0x4C2AE6B: free (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
    ==15569==    by 0x66A25F: Clear (StdBuf.h:202)
    ==15569==    by 0x66A25F: __base_dtor  (StdBuf.h:86)
    ==15569==    by 0x66A25F: __base_dtor  (StdBuf.h:394)
    ==15569==    by 0x66A25F: __base_dtor  (StdBuf.h:682)
    ==15569==    by 0x66A25F: __base_dtor  (C4Network2IO.h:336)
    ==15569==    by 0x66A25F: C4PacketConn::~C4PacketConn() (C4Network2IO.h:336)
    ==15569==    by 0x677ADF: C4Network2IO::HandlePacket(C4NetIOPacket const&, C4Network2IOConnection*, bool) (C4Network2IO.cpp:776)
    ==15569==    by 0x6786E0: .LTHUNK6.lto_priv.3396 (C4Network2IO.cpp:556)
    ==15569==    by 0x73354B: C4NetIOTCP::UnpackPacket(StdBuf const&, sockaddr_in const&) (C4NetIO.cpp:1141)
    ==15569==    by 0x736062: C4NetIOTCP::Peer::OnRecv(int) (C4NetIO.cpp:1250)
    ==15569==    by 0x7419F8: C4NetIOTCP::Execute(int, pollfd*) (C4NetIO.cpp:603)
    ==15569==    by 0x72683B: StdScheduler::DoScheduleProcs(int) (StdSchedulerPoll.cpp:175)
    ==15569==    by 0x726C97: StdScheduler::ScheduleProcs(int) (StdScheduler.cpp:153)
    ==15569==    by 0x726CCC: StdSchedulerThread::ThreadFunc() (StdScheduler.cpp:286)
    ==15569==    by 0x726CE8: StdSchedulerThread::_ThreadFunc(void*) (StdScheduler.cpp:272)
    ==15569==    by 0x9F3F453: start_thread (pthread_create.c:334)
    ==15569==  Address 0x191f2810 is 0 bytes inside a block of size 1 alloc'd
    ==15569==    at 0x4C2A88F: operator new[](unsigned long) (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
    ==15569==    by 0x733DEB: StdCompilerBinRead::String(char**, StdCompiler::RawCompileType) (StdCompiler.cpp:151)
    ==15569==    by 0x737F83: StdStrBuf::CompileFunc(StdCompiler*, int) (StdBuf.cpp:275)
    ==15569==    by 0x713E60: CompileFunc (StdCompiler.h:319)
    ==15569==    by 0x713E60: Value (StdCompiler.h:171)
    ==15569==    by 0x713E60: CompileFunc (StdAdaptors.h:54)
    ==15569==    by 0x713E60: Value (StdCompiler.h:170)
    ==15569==    by 0x713E60: StdNamingDefaultAdapt<StdCopyStrBuf&, char [1]>::CompileFunc(StdCompiler*) const [clone .constprop.1725] (StdAdaptors.h:115)
    ==15569==    by 0x6BDAE5: Value (StdCompiler.h:170)
    ==15569==    by 0x6BDAE5: C4PacketConn::CompileFunc(StdCompiler*) (C4Packet2.cpp:427)
    ==15569==    by 0x6CC294: CompileFunc (StdCompiler.h:319)
    ==15569==    by 0x6CC294: Value (StdCompiler.h:171)
    ==15569==    by 0x6CC294: unpack_class<C4PacketConn>::unpack(StdCompiler*) (C4Packet2.cpp:37)
    ==15569==    by 0x6BDD1F: C4IDPacket::CompileFunc(StdCompiler*) (C4Packet2.cpp:256)
    ==15569==    by 0x6CC8E6: CompileFunc (StdCompiler.h:319)
    ==15569==    by 0x6CC8E6: Value (StdCompiler.h:171)
    ==15569==    by 0x6CC8E6: DoCompilation (StdCompiler.h:201)
    ==15569==    by 0x6CC8E6: Compile (StdCompiler.h:185)
    ==15569==    by 0x6CC8E6: CompileFromBuf (StdCompiler.h:386)
    ==15569==    by 0x6CC8E6: C4PacketBase::unpack(C4NetIOPacket const&, char*) (C4Packet2.cpp:168)
    ==15569==    by 0x67788B: C4Network2IO::HandlePacket(C4NetIOPacket const&, C4Network2IOConnection*, bool) (C4Network2IO.cpp:779)
    ==15569==    by 0x6786E0: .LTHUNK6.lto_priv.3396 (C4Network2IO.cpp:556)
    ==15569==    by 0x73354B: C4NetIOTCP::UnpackPacket(StdBuf const&, sockaddr_in const&) (C4NetIO.cpp:1141)
    ==15569==    by 0x736062: C4NetIOTCP::Peer::OnRecv(int) (C4NetIO.cpp:1250)
    ==15569==
    ==15569== Mismatched free() / delete / delete []
    ==15569==    at 0x4C2AE6B: free (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
    ==15569==    by 0x6D473B: Clear (StdBuf.h:202)
    ==15569==    by 0x6D473B: __base_dtor  (StdBuf.h:86)
    ==15569==    by 0x6D473B: __base_dtor  (StdBuf.h:394)
    ==15569==    by 0x6D473B: __base_dtor  (StdBuf.h:682)
    ==15569==    by 0x6D473B: __base_dtor  (C4InputValidation.h:95)
    ==15569==    by 0x6D473B: __base_dtor  (C4InputValidation.h:98)
    ==15569==    by 0x6D473B: C4ClientCore::~C4ClientCore() (C4Client.cpp:43)
    ==15569==    by 0x66A268: __base_dtor  (C4Network2IO.h:336)
    ==15569==    by 0x66A268: C4PacketConn::~C4PacketConn() (C4Network2IO.h:336)
    ==15569==    by 0x677ADF: C4Network2IO::HandlePacket(C4NetIOPacket const&, C4Network2IOConnection*, bool) (C4Network2IO.cpp:776)
    ==15569==    by 0x6786E0: .LTHUNK6.lto_priv.3396 (C4Network2IO.cpp:556)
    ==15569==    by 0x73354B: C4NetIOTCP::UnpackPacket(StdBuf const&, sockaddr_in const&) (C4NetIO.cpp:1141)
    ==15569==    by 0x736062: C4NetIOTCP::Peer::OnRecv(int) (C4NetIO.cpp:1250)
    ==15569==    by 0x7419F8: C4NetIOTCP::Execute(int, pollfd*) (C4NetIO.cpp:603)
    ==15569==    by 0x72683B: StdScheduler::DoScheduleProcs(int) (StdSchedulerPoll.cpp:175)
    ==15569==    by 0x726C97: StdScheduler::ScheduleProcs(int) (StdScheduler.cpp:153)
    ==15569==    by 0x726CCC: StdSchedulerThread::ThreadFunc() (StdScheduler.cpp:286)
    ==15569==    by 0x726CE8: StdSchedulerThread::_ThreadFunc(void*) (StdScheduler.cpp:272)
    ==15569==  Address 0x1915d1c0 is 0 bytes inside a block of size 13 alloc'd
    ==15569==    at 0x4C2A88F: operator new[](unsigned long) (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
    ==15569==    by 0x733DEB: StdCompilerBinRead::String(char**, StdCompiler::RawCompileType) (StdCompiler.cpp:151)
    ==15569==    by 0x737F83: StdStrBuf::CompileFunc(StdCompiler*, int) (StdBuf.cpp:275)
    ==15569==    by 0x713444: CompileFunc (StdAdaptors.h:446)
    ==15569==    by 0x713444: Value (StdCompiler.h:170)
    ==15569==    by 0x713444: CompileFunc (C4InputValidation.h:78)
    ==15569==    by 0x713444: CompileFunc (StdCompiler.h:319)
    ==15569==    by 0x713444: Value (StdCompiler.h:171)
    ==15569==    by 0x713444: CompileFunc (StdAdaptors.h:54)
    ==15569==    by 0x713444: Value (StdCompiler.h:170)
    ==15569==    by 0x713444: StdNamingDefaultAdapt<ValidatedStdCopyStrBuf<10>&, char [1]>::CompileFunc(StdCompiler*) const [clone .constprop.2062] (StdAdaptors.h:115)
    ==15569==    by 0x6D240B: Value (StdCompiler.h:170)
    ==15569==    by 0x6D240B: C4ClientCore::CompileFunc(StdCompiler*) (C4Client.cpp:111)
    ==15569==    by 0x6BDA5C: CompileFunc (StdCompiler.h:319)
    ==15569==    by 0x6BDA5C: Value (StdCompiler.h:171)
    ==15569==    by 0x6BDA5C: CompileFunc (StdAdaptors.h:80)
    ==15569==    by 0x6BDA5C: Value (StdCompiler.h:170)
    ==15569==    by 0x6BDA5C: C4PacketConn::CompileFunc(StdCompiler*) (C4Packet2.cpp:425)
    ==15569==    by 0x6CC294: CompileFunc (StdCompiler.h:319)
    ==15569==    by 0x6CC294: Value (StdCompiler.h:171)
    ==15569==    by 0x6CC294: unpack_class<C4PacketConn>::unpack(StdCompiler*) (C4Packet2.cpp:37)
    ==15569==    by 0x6BDD1F: C4IDPacket::CompileFunc(StdCompiler*) (C4Packet2.cpp:256)
    ==15569==    by 0x6CC8E6: CompileFunc (StdCompiler.h:319)
    ==15569==    by 0x6CC8E6: Value (StdCompiler.h:171)
    ==15569==    by 0x6CC8E6: DoCompilation (StdCompiler.h:201)
    ==15569==    by 0x6CC8E6: Compile (StdCompiler.h:185)
    ==15569==    by 0x6CC8E6: CompileFromBuf (StdCompiler.h:386)
    ==15569==    by 0x6CC8E6: C4PacketBase::unpack(C4NetIOPacket const&, char*) (C4Packet2.cpp:168)
    ==15569==    by 0x67788B: C4Network2IO::HandlePacket(C4NetIOPacket const&, C4Network2IOConnection*, bool) (C4Network2IO.cpp:779)
    ==15569==    by 0x6786E0: .LTHUNK6.lto_priv.3396 (C4Network2IO.cpp:556)
    ==15569==    by 0x73354B: C4NetIOTCP::UnpackPacket(StdBuf const&, sockaddr_in const&) (C4NetIO.cpp:1141)
    ==15569==
    ==15569== Mismatched free() / delete / delete []
    ==15569==    at 0x4C2AE6B: free (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
    ==15569==    by 0x6D4728: Clear (StdBuf.h:202)
    ==15569==    by 0x6D4728: __base_dtor  (StdBuf.h:86)
    ==15569==    by 0x6D4728: __base_dtor  (StdBuf.h:394)
    ==15569==    by 0x6D4728: __base_dtor  (StdBuf.h:682)
    ==15569==    by 0x6D4728: __base_dtor  (C4InputValidation.h:95)
    ==15569==    by 0x6D4728: __base_dtor  (C4InputValidation.h:98)
    ==15569==    by 0x6D4728: C4ClientCore::~C4ClientCore() (C4Client.cpp:43)
    ==15569==    by 0x66A268: __base_dtor  (C4Network2IO.h:336)
    ==15569==    by 0x66A268: C4PacketConn::~C4PacketConn() (C4Network2IO.h:336)
    ==15569==    by 0x677ADF: C4Network2IO::HandlePacket(C4NetIOPacket const&, C4Network2IOConnection*, bool) (C4Network2IO.cpp:776)
    ==15569==    by 0x6786E0: .LTHUNK6.lto_priv.3396 (C4Network2IO.cpp:556)
    ==15569==    by 0x73354B: C4NetIOTCP::UnpackPacket(StdBuf const&, sockaddr_in const&) (C4NetIO.cpp:1141)
    ==15569==    by 0x736062: C4NetIOTCP::Peer::OnRecv(int) (C4NetIO.cpp:1250)
    ==15569==    by 0x7419F8: C4NetIOTCP::Execute(int, pollfd*) (C4NetIO.cpp:603)
    ==15569==    by 0x72683B: StdScheduler::DoScheduleProcs(int) (StdSchedulerPoll.cpp:175)
    ==15569==    by 0x726C97: StdScheduler::ScheduleProcs(int) (StdScheduler.cpp:153)
    ==15569==    by 0x726CCC: StdSchedulerThread::ThreadFunc() (StdScheduler.cpp:286)
    ==15569==    by 0x726CE8: StdSchedulerThread::_ThreadFunc(void*) (StdScheduler.cpp:272)
    ==15569==  Address 0x188b78b0 is 0 bytes inside a block of size 1 alloc'd
    ==15569==    at 0x4C2A88F: operator new[](unsigned long) (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
    ==15569==    by 0x733DEB: StdCompilerBinRead::String(char**, StdCompiler::RawCompileType) (StdCompiler.cpp:151)
    ==15569==    by 0x737F83: StdStrBuf::CompileFunc(StdCompiler*, int) (StdBuf.cpp:275)
    ==15569==    by 0x713444: CompileFunc (StdAdaptors.h:446)
    ==15569==    by 0x713444: Value (StdCompiler.h:170)
    ==15569==    by 0x713444: CompileFunc (C4InputValidation.h:78)
    ==15569==    by 0x713444: CompileFunc (StdCompiler.h:319)
    ==15569==    by 0x713444: Value (StdCompiler.h:171)
    ==15569==    by 0x713444: CompileFunc (StdAdaptors.h:54)
    ==15569==    by 0x713444: Value (StdCompiler.h:170)
    ==15569==    by 0x713444: StdNamingDefaultAdapt<ValidatedStdCopyStrBuf<10>&, char [1]>::CompileFunc(StdCompiler*) const [clone .constprop.2062] (StdAdaptors.h:115)
    ==15569==    by 0x6D23A7: Value (StdCompiler.h:170)
    ==15569==    by 0x6D23A7: C4ClientCore::CompileFunc(StdCompiler*) (C4Client.cpp:109)
    ==15569==    by 0x6BDA5C: CompileFunc (StdCompiler.h:319)
    ==15569==    by 0x6BDA5C: Value (StdCompiler.h:171)
    ==15569==    by 0x6BDA5C: CompileFunc (StdAdaptors.h:80)
    ==15569==    by 0x6BDA5C: Value (StdCompiler.h:170)
    ==15569==    by 0x6BDA5C: C4PacketConn::CompileFunc(StdCompiler*) (C4Packet2.cpp:425)
    ==15569==    by 0x6CC294: CompileFunc (StdCompiler.h:319)
    ==15569==    by 0x6CC294: Value (StdCompiler.h:171)
    ==15569==    by 0x6CC294: unpack_class<C4PacketConn>::unpack(StdCompiler*) (C4Packet2.cpp:37)
    ==15569==    by 0x6BDD1F: C4IDPacket::CompileFunc(StdCompiler*) (C4Packet2.cpp:256)
    ==15569==    by 0x6CC8E6: CompileFunc (StdCompiler.h:319)
    ==15569==    by 0x6CC8E6: Value (StdCompiler.h:171)
    ==15569==    by 0x6CC8E6: DoCompilation (StdCompiler.h:201)
    ==15569==    by 0x6CC8E6: Compile (StdCompiler.h:185)
    ==15569==    by 0x6CC8E6: CompileFromBuf (StdCompiler.h:386)
    ==15569==    by 0x6CC8E6: C4PacketBase::unpack(C4NetIOPacket const&, char*) (C4Packet2.cpp:168)
    ==15569==    by 0x67788B: C4Network2IO::HandlePacket(C4NetIOPacket const&, C4Network2IOConnection*, bool) (C4Network2IO.cpp:779)
    ==15569==    by 0x6786E0: .LTHUNK6.lto_priv.3396 (C4Network2IO.cpp:556)
    ==15569==    by 0x73354B: C4NetIOTCP::UnpackPacket(StdBuf const&, sockaddr_in const&) (C4NetIO.cpp:1141)
    ==15569==
    ==15569== Mismatched free() / delete / delete []
    ==15569==    at 0x4C2AE6B: free (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
    ==15569==    by 0x6D4718: Clear (StdBuf.h:202)
    ==15569==    by 0x6D4718: __base_dtor  (StdBuf.h:86)
    ==15569==    by 0x6D4718: __base_dtor  (StdBuf.h:394)
    ==15569==    by 0x6D4718: __base_dtor  (StdBuf.h:682)
    ==15569==    by 0x6D4718: __base_dtor  (C4InputValidation.h:95)
    ==15569==    by 0x6D4718: __base_dtor  (C4InputValidation.h:98)
    ==15569==    by 0x6D4718: C4ClientCore::~C4ClientCore() (C4Client.cpp:43)
    ==15569==    by 0x66A268: __base_dtor  (C4Network2IO.h:336)
    ==15569==    by 0x66A268: C4PacketConn::~C4PacketConn() (C4Network2IO.h:336)
    ==15569==    by 0x677ADF: C4Network2IO::HandlePacket(C4NetIOPacket const&, C4Network2IOConnection*, bool) (C4Network2IO.cpp:776)
    ==15569==    by 0x6786E0: .LTHUNK6.lto_priv.3396 (C4Network2IO.cpp:556)
    ==15569==    by 0x73354B: C4NetIOTCP::UnpackPacket(StdBuf const&, sockaddr_in const&) (C4NetIO.cpp:1141)
    ==15569==    by 0x736062: C4NetIOTCP::Peer::OnRecv(int) (C4NetIO.cpp:1250)
    ==15569==    by 0x7419F8: C4NetIOTCP::Execute(int, pollfd*) (C4NetIO.cpp:603)
    ==15569==    by 0x72683B: StdScheduler::DoScheduleProcs(int) (StdSchedulerPoll.cpp:175)
    ==15569==    by 0x726C97: StdScheduler::ScheduleProcs(int) (StdScheduler.cpp:153)
    ==15569==    by 0x726CCC: StdSchedulerThread::ThreadFunc() (StdScheduler.cpp:286)
    ==15569==    by 0x726CE8: StdSchedulerThread::_ThreadFunc(void*) (StdScheduler.cpp:272)
    ==15569==  Address 0x18bba010 is 0 bytes inside a block of size 7 alloc'd
    ==15569==    at 0x4C2A88F: operator new[](unsigned long) (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
    ==15569==    by 0x733DEB: StdCompilerBinRead::String(char**, StdCompiler::RawCompileType) (StdCompiler.cpp:151)
    ==15569==    by 0x737F83: StdStrBuf::CompileFunc(StdCompiler*, int) (StdBuf.cpp:275)
    ==15569==    by 0x713444: CompileFunc (StdAdaptors.h:446)
    ==15569==    by 0x713444: Value (StdCompiler.h:170)
    ==15569==    by 0x713444: CompileFunc (C4InputValidation.h:78)
    ==15569==    by 0x713444: CompileFunc (StdCompiler.h:319)
    ==15569==    by 0x713444: Value (StdCompiler.h:171)
    ==15569==    by 0x713444: CompileFunc (StdAdaptors.h:54)
    ==15569==    by 0x713444: Value (StdCompiler.h:170)
    ==15569==    by 0x713444: StdNamingDefaultAdapt<ValidatedStdCopyStrBuf<10>&, char [1]>::CompileFunc(StdCompiler*) const [clone .constprop.2062] (StdAdaptors.h:115)
    ==15569==    by 0x6D23DD: Value (StdCompiler.h:170)
    ==15569==    by 0x6D23DD: C4ClientCore::CompileFunc(StdCompiler*) (C4Client.cpp:110)
    ==15569==    by 0x6BDA5C: CompileFunc (StdCompiler.h:319)
    ==15569==    by 0x6BDA5C: Value (StdCompiler.h:171)
    ==15569==    by 0x6BDA5C: CompileFunc (StdAdaptors.h:80)
    ==15569==    by 0x6BDA5C: Value (StdCompiler.h:170)
    ==15569==    by 0x6BDA5C: C4PacketConn::CompileFunc(StdCompiler*) (C4Packet2.cpp:425)
    ==15569==    by 0x6CC294: CompileFunc (StdCompiler.h:319)
    ==15569==    by 0x6CC294: Value (StdCompiler.h:171)
    ==15569==    by 0x6CC294: unpack_class<C4PacketConn>::unpack(StdCompiler*) (C4Packet2.cpp:37)
    ==15569==    by 0x6BDD1F: C4IDPacket::CompileFunc(StdCompiler*) (C4Packet2.cpp:256)
    ==15569==    by 0x6CC8E6: CompileFunc (StdCompiler.h:319)
    ==15569==    by 0x6CC8E6: Value (StdCompiler.h:171)
    ==15569==    by 0x6CC8E6: DoCompilation (StdCompiler.h:201)
    ==15569==    by 0x6CC8E6: Compile (StdCompiler.h:185)
    ==15569==    by 0x6CC8E6: CompileFromBuf (StdCompiler.h:386)
    ==15569==    by 0x6CC8E6: C4PacketBase::unpack(C4NetIOPacket const&, char*) (C4Packet2.cpp:168)
    ==15569==    by 0x67788B: C4Network2IO::HandlePacket(C4NetIOPacket const&, C4Network2IOConnection*, bool) (C4Network2IO.cpp:779)
    ==15569==    by 0x6786E0: .LTHUNK6.lto_priv.3396 (C4Network2IO.cpp:556)
    ==15569==    by 0x73354B: C4NetIOTCP::UnpackPacket(StdBuf const&, sockaddr_in const&) (C4NetIO.cpp:1141)
    ==15569==
    ==15569== Mismatched free() / delete / delete []
    ==15569==    at 0x4C2AE6B: free (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
    ==15569==    by 0x66A268: __base_dtor  (C4Network2IO.h:336)
    ==15569==    by 0x66A268: C4PacketConn::~C4PacketConn() (C4Network2IO.h:336)
    ==15569==    by 0x677ADF: C4Network2IO::HandlePacket(C4NetIOPacket const&, C4Network2IOConnection*, bool) (C4Network2IO.cpp:776)
    ==15569==    by 0x6786E0: .LTHUNK6.lto_priv.3396 (C4Network2IO.cpp:556)
    ==15569==    by 0x73354B: C4NetIOTCP::UnpackPacket(StdBuf const&, sockaddr_in const&) (C4NetIO.cpp:1141)
    ==15569==    by 0x736062: C4NetIOTCP::Peer::OnRecv(int) (C4NetIO.cpp:1250)
    ==15569==    by 0x7419F8: C4NetIOTCP::Execute(int, pollfd*) (C4NetIO.cpp:603)
    ==15569==    by 0x72683B: StdScheduler::DoScheduleProcs(int) (StdSchedulerPoll.cpp:175)
    ==15569==    by 0x726C97: StdScheduler::ScheduleProcs(int) (StdScheduler.cpp:153)
    ==15569==    by 0x726CCC: StdSchedulerThread::ThreadFunc() (StdScheduler.cpp:286)
    ==15569==    by 0x726CE8: StdSchedulerThread::_ThreadFunc(void*) (StdScheduler.cpp:272)
    ==15569==    by 0x9F3F453: start_thread (pthread_create.c:334)
    ==15569==  Address 0x1843ea70 is 0 bytes inside a block of size 7 alloc'd
    ==15569==    at 0x4C2A88F: operator new[](unsigned long) (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
    ==15569==    by 0x733DEB: StdCompilerBinRead::String(char**, StdCompiler::RawCompileType) (StdCompiler.cpp:151)
    ==15569==    by 0x737F83: StdStrBuf::CompileFunc(StdCompiler*, int) (StdBuf.cpp:275)
    ==15569==    by 0x713444: CompileFunc (StdAdaptors.h:446)
    ==15569==    by 0x713444: Value (StdCompiler.h:170)
    ==15569==    by 0x713444: CompileFunc (C4InputValidation.h:78)
    ==15569==    by 0x713444: CompileFunc (StdCompiler.h:319)
    ==15569==    by 0x713444: Value (StdCompiler.h:171)
    ==15569==    by 0x713444: CompileFunc (StdAdaptors.h:54)
    ==15569==    by 0x713444: Value (StdCompiler.h:170)
    ==15569==    by 0x713444: StdNamingDefaultAdapt<ValidatedStdCopyStrBuf<10>&, char [1]>::CompileFunc(StdCompiler*) const [clone .constprop.2062] (StdAdaptors.h:115)
    ==15569==    by 0x6D2375: Value (StdCompiler.h:170)
    ==15569==    by 0x6D2375: C4ClientCore::CompileFunc(StdCompiler*) (C4Client.cpp:108)
    ==15569==    by 0x6BDA5C: CompileFunc (StdCompiler.h:319)
    ==15569==    by 0x6BDA5C: Value (StdCompiler.h:171)
    ==15569==    by 0x6BDA5C: CompileFunc (StdAdaptors.h:80)
    ==15569==    by 0x6BDA5C: Value (StdCompiler.h:170)
    ==15569==    by 0x6BDA5C: C4PacketConn::CompileFunc(StdCompiler*) (C4Packet2.cpp:425)
    ==15569==    by 0x6CC294: CompileFunc (StdCompiler.h:319)
    ==15569==    by 0x6CC294: Value (StdCompiler.h:171)
    ==15569==    by 0x6CC294: unpack_class<C4PacketConn>::unpack(StdCompiler*) (C4Packet2.cpp:37)
    ==15569==    by 0x6BDD1F: C4IDPacket::CompileFunc(StdCompiler*) (C4Packet2.cpp:256)
    ==15569==    by 0x6CC8E6: CompileFunc (StdCompiler.h:319)
    ==15569==    by 0x6CC8E6: Value (StdCompiler.h:171)
    ==15569==    by 0x6CC8E6: DoCompilation (StdCompiler.h:201)
    ==15569==    by 0x6CC8E6: Compile (StdCompiler.h:185)
    ==15569==    by 0x6CC8E6: CompileFromBuf (StdCompiler.h:386)
    ==15569==    by 0x6CC8E6: C4PacketBase::unpack(C4NetIOPacket const&, char*) (C4Packet2.cpp:168)
    ==15569==    by 0x67788B: C4Network2IO::HandlePacket(C4NetIOPacket const&, C4Network2IOConnection*, bool) (C4Network2IO.cpp:779)
    ==15569==    by 0x6786E0: .LTHUNK6.lto_priv.3396 (C4Network2IO.cpp:556)
    ==15569==    by 0x73354B: C4NetIOTCP::UnpackPacket(StdBuf const&, sockaddr_in const&) (C4NetIO.cpp:1141)
    ==15569==
    ==15569== Mismatched free() / delete / delete []
    ==15569==    at 0x4C2AE6B: free (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
    ==15569==    by 0x6D2069: Clear (StdBuf.h:202)
    ==15569==    by 0x6D2069: __base_dtor  (StdBuf.h:86)
    ==15569==    by 0x6D2069: __base_dtor  (StdBuf.h:394)
    ==15569==    by 0x6D2069: __base_dtor  (C4Network2IO.h:357)
    ==15569==    by 0x6D2069: C4PacketConnRe::~C4PacketConnRe() (C4Network2IO.h:357)
    ==15569==    by 0x677ADF: C4Network2IO::HandlePacket(C4NetIOPacket const&, C4Network2IOConnection*, bool) (C4Network2IO.cpp:776)
    ==15569==    by 0x6786E0: .LTHUNK6.lto_priv.3396 (C4Network2IO.cpp:556)
    ==15569==    by 0x73354B: C4NetIOTCP::UnpackPacket(StdBuf const&, sockaddr_in const&) (C4NetIO.cpp:1141)
    ==15569==    by 0x736062: C4NetIOTCP::Peer::OnRecv(int) (C4NetIO.cpp:1250)
    ==15569==    by 0x7419F8: C4NetIOTCP::Execute(int, pollfd*) (C4NetIO.cpp:603)
    ==15569==    by 0x72683B: StdScheduler::DoScheduleProcs(int) (StdSchedulerPoll.cpp:175)
    ==15569==    by 0x726C97: StdScheduler::ScheduleProcs(int) (StdScheduler.cpp:153)
    ==15569==    by 0x726CCC: StdSchedulerThread::ThreadFunc() (StdScheduler.cpp:286)
    ==15569==    by 0x726CE8: StdSchedulerThread::_ThreadFunc(void*) (StdScheduler.cpp:272)
    ==15569==    by 0x9F3F453: start_thread (pthread_create.c:334)
    ==15569==  Address 0x198d12b0 is 0 bytes inside a block of size 14 alloc'd
    ==15569==    at 0x4C2A88F: operator new[](unsigned long) (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
    ==15569==    by 0x733DEB: StdCompilerBinRead::String(char**, StdCompiler::RawCompileType) (StdCompiler.cpp:151)
    ==15569==    by 0x737F83: StdStrBuf::CompileFunc(StdCompiler*, int) (StdBuf.cpp:275)
    ==15569==    by 0x7135E0: CompileFunc (StdCompiler.h:319)
    ==15569==    by 0x7135E0: Value (StdCompiler.h:171)
    ==15569==    by 0x7135E0: CompileFunc (StdAdaptors.h:54)
    ==15569==    by 0x7135E0: Value (StdCompiler.h:170)
    ==15569==    by 0x7135E0: StdNamingDefaultAdapt<StdStrBuf&, char [12]>::CompileFunc(StdCompiler*) const [clone .constprop.1996] (StdAdaptors.h:115)
    ==15569==    by 0x6BD978: Value (StdCompiler.h:170)
    ==15569==    by 0x6BD978: C4PacketConnRe::CompileFunc(StdCompiler*) (C4Packet2.cpp:447)
    ==15569==    by 0x6BD9FA: CompileFunc (StdCompiler.h:319)
    ==15569==    by 0x6BD9FA: Value (StdCompiler.h:171)
    ==15569==    by 0x6BD9FA: unpack_class<C4PacketConnRe>::unpack(StdCompiler*) (C4Packet2.cpp:37)
    ==15569==    by 0x6BDD1F: C4IDPacket::CompileFunc(StdCompiler*) (C4Packet2.cpp:256)
    ==15569==    by 0x6CC8E6: CompileFunc (StdCompiler.h:319)
    ==15569==    by 0x6CC8E6: Value (StdCompiler.h:171)
    ==15569==    by 0x6CC8E6: DoCompilation (StdCompiler.h:201)
    ==15569==    by 0x6CC8E6: Compile (StdCompiler.h:185)
    ==15569==    by 0x6CC8E6: CompileFromBuf (StdCompiler.h:386)
    ==15569==    by 0x6CC8E6: C4PacketBase::unpack(C4NetIOPacket const&, char*) (C4Packet2.cpp:168)
    ==15569==    by 0x67788B: C4Network2IO::HandlePacket(C4NetIOPacket const&, C4Network2IOConnection*, bool) (C4Network2IO.cpp:779)
    ==15569==    by 0x6786E0: .LTHUNK6.lto_priv.3396 (C4Network2IO.cpp:556)
    ==15569==    by 0x73354B: C4NetIOTCP::UnpackPacket(StdBuf const&, sockaddr_in const&) (C4NetIO.cpp:1141)
    ==15569==    by 0x736062: C4NetIOTCP::Peer::OnRecv(int) (C4NetIO.cpp:1250)
    ==15569==
    ==15569== Thread 1:
    ==15569== Mismatched free() / delete / delete []
    ==15569==    at 0x4C2AE6B: free (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
    ==15569==    by 0x66A25F: Clear (StdBuf.h:202)
    ==15569==    by 0x66A25F: __base_dtor  (StdBuf.h:86)
    ==15569==    by 0x66A25F: __base_dtor  (StdBuf.h:394)
    ==15569==    by 0x66A25F: __base_dtor  (StdBuf.h:682)
    ==15569==    by 0x66A25F: __base_dtor  (C4Network2IO.h:336)
    ==15569==    by 0x66A25F: C4PacketConn::~C4PacketConn() (C4Network2IO.h:336)
    ==15569==    by 0x677ADF: C4Network2IO::HandlePacket(C4NetIOPacket const&, C4Network2IOConnection*, bool) (C4Network2IO.cpp:776)
    ==15569==    by 0x67864D: C4Network2IO::OnThreadEvent(C4InteractiveEventType, void*) (C4Network2IO.cpp:633)
    ==15569==    by 0x6DB733: C4InteractiveThread::ProcessEvents() (C4InteractiveThread.cpp:161)
    ==15569==    by 0x6DB845: C4InteractiveThreadNotifyProc::Execute(int, pollfd*) (C4InteractiveThread.cpp:206)
    ==15569==    by 0x72683B: StdScheduler::DoScheduleProcs(int) (StdSchedulerPoll.cpp:175)
    ==15569==    by 0x726C97: StdScheduler::ScheduleProcs(int) (StdScheduler.cpp:153)
    ==15569==    by 0x6E12AD: C4Network2::InitClient(C4Network2Address const*, int, C4ClientCore const&, char const*) (C4Network2.cpp:328)
    ==15569==    by 0x6E1555: C4Network2::InitClient(C4Network2Reference const&, bool) (C4Network2.cpp:245)
    ==15569==    by 0x53E08E: C4Game::InitNetworkFromReference(C4Network2Reference const&) (C4Game.cpp:3237)
    ==15569==    by 0x5033DD: C4Game::Init() (C4Game.cpp:381)
    ==15569==  Address 0x148bf4d0 is 0 bytes inside a block of size 1 alloc'd
    ==15569==    at 0x4C2A88F: operator new[](unsigned long) (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
    ==15569==    by 0x733DEB: StdCompilerBinRead::String(char**, StdCompiler::RawCompileType) (StdCompiler.cpp:151)
    ==15569==    by 0x737F83: StdStrBuf::CompileFunc(StdCompiler*, int) (StdBuf.cpp:275)
    ==15569==    by 0x713E60: CompileFunc (StdCompiler.h:319)
    ==15569==    by 0x713E60: Value (StdCompiler.h:171)
    ==15569==    by 0x713E60: CompileFunc (StdAdaptors.h:54)
    ==15569==    by 0x713E60: Value (StdCompiler.h:170)
    ==15569==    by 0x713E60: StdNamingDefaultAdapt<StdCopyStrBuf&, char [1]>::CompileFunc(StdCompiler*) const [clone .constprop.1725] (StdAdaptors.h:115)
    ==15569==    by 0x6BDAE5: Value (StdCompiler.h:170)
    ==15569==    by 0x6BDAE5: C4PacketConn::CompileFunc(StdCompiler*) (C4Packet2.cpp:427)
    ==15569==    by 0x6CC294: CompileFunc (StdCompiler.h:319)
    ==15569==    by 0x6CC294: Value (StdCompiler.h:171)
    ==15569==    by 0x6CC294: unpack_class<C4PacketConn>::unpack(StdCompiler*) (C4Packet2.cpp:37)
    ==15569==    by 0x6BDD1F: C4IDPacket::CompileFunc(StdCompiler*) (C4Packet2.cpp:256)
    ==15569==    by 0x6CC8E6: CompileFunc (StdCompiler.h:319)
    ==15569==    by 0x6CC8E6: Value (StdCompiler.h:171)
    ==15569==    by 0x6CC8E6: DoCompilation (StdCompiler.h:201)
    ==15569==    by 0x6CC8E6: Compile (StdCompiler.h:185)
    ==15569==    by 0x6CC8E6: CompileFromBuf (StdCompiler.h:386)
    ==15569==    by 0x6CC8E6: C4PacketBase::unpack(C4NetIOPacket const&, char*) (C4Packet2.cpp:168)
    ==15569==    by 0x67788B: C4Network2IO::HandlePacket(C4NetIOPacket const&, C4Network2IOConnection*, bool) (C4Network2IO.cpp:779)
    ==15569==    by 0x67864D: C4Network2IO::OnThreadEvent(C4InteractiveEventType, void*) (C4Network2IO.cpp:633)
    ==15569==    by 0x6DB733: C4InteractiveThread::ProcessEvents() (C4InteractiveThread.cpp:161)
    ==15569==    by 0x6DB845: C4InteractiveThreadNotifyProc::Execute(int, pollfd*) (C4InteractiveThread.cpp:206)
    ==15569==
    ==15569== Mismatched free() / delete / delete []
    ==15569==    at 0x4C2AE6B: free (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
    ==15569==    by 0x66A268: __base_dtor  (C4Network2IO.h:336)
    ==15569==    by 0x66A268: C4PacketConn::~C4PacketConn() (C4Network2IO.h:336)
    ==15569==    by 0x677ADF: C4Network2IO::HandlePacket(C4NetIOPacket const&, C4Network2IOConnection*, bool) (C4Network2IO.cpp:776)
    ==15569==    by 0x67864D: C4Network2IO::OnThreadEvent(C4InteractiveEventType, void*) (C4Network2IO.cpp:633)
    ==15569==    by 0x6DB733: C4InteractiveThread::ProcessEvents() (C4InteractiveThread.cpp:161)
    ==15569==    by 0x6DB845: C4InteractiveThreadNotifyProc::Execute(int, pollfd*) (C4InteractiveThread.cpp:206)
    ==15569==    by 0x72683B: StdScheduler::DoScheduleProcs(int) (StdSchedulerPoll.cpp:175)
    ==15569==    by 0x726C97: StdScheduler::ScheduleProcs(int) (StdScheduler.cpp:153)
    ==15569==    by 0x6E12AD: C4Network2::InitClient(C4Network2Address const*, int, C4ClientCore const&, char const*) (C4Network2.cpp:328)
    ==15569==    by 0x6E1555: C4Network2::InitClient(C4Network2Reference const&, bool) (C4Network2.cpp:245)
    ==15569==    by 0x53E08E: C4Game::InitNetworkFromReference(C4Network2Reference const&) (C4Game.cpp:3237)
    ==15569==    by 0x5033DD: C4Game::Init() (C4Game.cpp:381)
    ==15569==  Address 0x188234e0 is 0 bytes inside a block of size 7 alloc'd
    ==15569==    at 0x4C2A88F: operator new[](unsigned long) (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
    ==15569==    by 0x733DEB: StdCompilerBinRead::String(char**, StdCompiler::RawCompileType) (StdCompiler.cpp:151)
    ==15569==    by 0x737F83: StdStrBuf::CompileFunc(StdCompiler*, int) (StdBuf.cpp:275)
    ==15569==    by 0x713444: CompileFunc (StdAdaptors.h:446)
    ==15569==    by 0x713444: Value (StdCompiler.h:170)
    ==15569==    by 0x713444: CompileFunc (C4InputValidation.h:78)
    ==15569==    by 0x713444: CompileFunc (StdCompiler.h:319)
    ==15569==    by 0x713444: Value (StdCompiler.h:171)
    ==15569==    by 0x713444: CompileFunc (StdAdaptors.h:54)
    ==15569==    by 0x713444: Value (StdCompiler.h:170)
    ==15569==    by 0x713444: StdNamingDefaultAdapt<ValidatedStdCopyStrBuf<10>&, char [1]>::CompileFunc(StdCompiler*) const [clone .constprop.2062] (StdAdaptors.h:115)
    ==15569==    by 0x6D2375: Value (StdCompiler.h:170)
    ==15569==    by 0x6D2375: C4ClientCore::CompileFunc(StdCompiler*) (C4Client.cpp:108)
    ==15569==    by 0x6BDA5C: CompileFunc (StdCompiler.h:319)
    ==15569==    by 0x6BDA5C: Value (StdCompiler.h:171)
    ==15569==    by 0x6BDA5C: CompileFunc (StdAdaptors.h:80)
    ==15569==    by 0x6BDA5C: Value (StdCompiler.h:170)
    ==15569==    by 0x6BDA5C: C4PacketConn::CompileFunc(StdCompiler*) (C4Packet2.cpp:425)
    ==15569==    by 0x6CC294: CompileFunc (StdCompiler.h:319)
    ==15569==    by 0x6CC294: Value (StdCompiler.h:171)
    ==15569==    by 0x6CC294: unpack_class<C4PacketConn>::unpack(StdCompiler*) (C4Packet2.cpp:37)
    ==15569==    by 0x6BDD1F: C4IDPacket::CompileFunc(StdCompiler*) (C4Packet2.cpp:256)
    ==15569==    by 0x6CC8E6: CompileFunc (StdCompiler.h:319)
    ==15569==    by 0x6CC8E6: Value (StdCompiler.h:171)
    ==15569==    by 0x6CC8E6: DoCompilation (StdCompiler.h:201)
    ==15569==    by 0x6CC8E6: Compile (StdCompiler.h:185)
    ==15569==    by 0x6CC8E6: CompileFromBuf (StdCompiler.h:386)
    ==15569==    by 0x6CC8E6: C4PacketBase::unpack(C4NetIOPacket const&, char*) (C4Packet2.cpp:168)
    ==15569==    by 0x67788B: C4Network2IO::HandlePacket(C4NetIOPacket const&, C4Network2IOConnection*, bool) (C4Network2IO.cpp:779)
    ==15569==    by 0x67864D: C4Network2IO::OnThreadEvent(C4InteractiveEventType, void*) (C4Network2IO.cpp:633)
    ==15569==    by 0x6DB733: C4InteractiveThread::ProcessEvents() (C4InteractiveThread.cpp:161)
    ==15569==
    ==15569== Mismatched free() / delete / delete []
    ==15569==    at 0x4C2AE6B: free (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
    ==15569==    by 0x6D2069: Clear (StdBuf.h:202)
    ==15569==    by 0x6D2069: __base_dtor  (StdBuf.h:86)
    ==15569==    by 0x6D2069: __base_dtor  (StdBuf.h:394)
    ==15569==    by 0x6D2069: __base_dtor  (C4Network2IO.h:357)
    ==15569==    by 0x6D2069: C4PacketConnRe::~C4PacketConnRe() (C4Network2IO.h:357)
    ==15569==    by 0x677ADF: C4Network2IO::HandlePacket(C4NetIOPacket const&, C4Network2IOConnection*, bool) (C4Network2IO.cpp:776)
    ==15569==    by 0x67864D: C4Network2IO::OnThreadEvent(C4InteractiveEventType, void*) (C4Network2IO.cpp:633)
    ==15569==    by 0x6DB733: C4InteractiveThread::ProcessEvents() (C4InteractiveThread.cpp:161)
    ==15569==    by 0x6DB845: C4InteractiveThreadNotifyProc::Execute(int, pollfd*) (C4InteractiveThread.cpp:206)
    ==15569==    by 0x72683B: StdScheduler::DoScheduleProcs(int) (StdSchedulerPoll.cpp:175)
    ==15569==    by 0x726C97: StdScheduler::ScheduleProcs(int) (StdScheduler.cpp:153)
    ==15569==    by 0x6E12AD: C4Network2::InitClient(C4Network2Address const*, int, C4ClientCore const&, char const*) (C4Network2.cpp:328)
    ==15569==    by 0x6E1555: C4Network2::InitClient(C4Network2Reference const&, bool) (C4Network2.cpp:245)
    ==15569==    by 0x53E08E: C4Game::InitNetworkFromReference(C4Network2Reference const&) (C4Game.cpp:3237)
    ==15569==    by 0x5033DD: C4Game::Init() (C4Game.cpp:381)
    ==15569==  Address 0x148c0170 is 0 bytes inside a block of size 14 alloc'd
    ==15569==    at 0x4C2A88F: operator new[](unsigned long) (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
    ==15569==    by 0x733DEB: StdCompilerBinRead::String(char**, StdCompiler::RawCompileType) (StdCompiler.cpp:151)
    ==15569==    by 0x737F83: StdStrBuf::CompileFunc(StdCompiler*, int) (StdBuf.cpp:275)
    ==15569==    by 0x7135E0: CompileFunc (StdCompiler.h:319)
    ==15569==    by 0x7135E0: Value (StdCompiler.h:171)
    ==15569==    by 0x7135E0: CompileFunc (StdAdaptors.h:54)
    ==15569==    by 0x7135E0: Value (StdCompiler.h:170)
    ==15569==    by 0x7135E0: StdNamingDefaultAdapt<StdStrBuf&, char [12]>::CompileFunc(StdCompiler*) const [clone .constprop.1996] (StdAdaptors.h:115)
    ==15569==    by 0x6BD978: Value (StdCompiler.h:170)
    ==15569==    by 0x6BD978: C4PacketConnRe::CompileFunc(StdCompiler*) (C4Packet2.cpp:447)
    ==15569==    by 0x6BD9FA: CompileFunc (StdCompiler.h:319)
    ==15569==    by 0x6BD9FA: Value (StdCompiler.h:171)
    ==15569==    by 0x6BD9FA: unpack_class<C4PacketConnRe>::unpack(StdCompiler*) (C4Packet2.cpp:37)
    ==15569==    by 0x6BDD1F: C4IDPacket::CompileFunc(StdCompiler*) (C4Packet2.cpp:256)
    ==15569==    by 0x6CC8E6: CompileFunc (StdCompiler.h:319)
    ==15569==    by 0x6CC8E6: Value (StdCompiler.h:171)
    ==15569==    by 0x6CC8E6: DoCompilation (StdCompiler.h:201)
    ==15569==    by 0x6CC8E6: Compile (StdCompiler.h:185)
    ==15569==    by 0x6CC8E6: CompileFromBuf (StdCompiler.h:386)
    ==15569==    by 0x6CC8E6: C4PacketBase::unpack(C4NetIOPacket const&, char*) (C4Packet2.cpp:168)
    ==15569==    by 0x67788B: C4Network2IO::HandlePacket(C4NetIOPacket const&, C4Network2IOConnection*, bool) (C4Network2IO.cpp:779)
    ==15569==    by 0x67864D: C4Network2IO::OnThreadEvent(C4InteractiveEventType, void*) (C4Network2IO.cpp:633)
    ==15569==    by 0x6DB733: C4InteractiveThread::ProcessEvents() (C4InteractiveThread.cpp:161)
    ==15569==    by 0x6DB845: C4InteractiveThreadNotifyProc::Execute(int, pollfd*) (C4InteractiveThread.cpp:206)
    ==15569==
    [18:33:21] FATAL ERROR: Could not connect to host Maikel.
    ==15569== Conditional jump or move depends on uninitialised value(s)
    ==15569==    at 0x57E1B5: C4KeyboardInput::DoInput(C4KeyCodeEx const&, C4KeyEventType, unsigned int, int) (C4KeyboardInput.cpp:889)
    ==15569==    by 0x4EE9E5: C4Game::DoKeyboardInput(C4KeyCodeEx, C4KeyEventType, C4GUI::Dialog*, bool, int) (C4Game.cpp:1950)
    ==15569==    by 0x4EEBAC: C4Game::DoKeyboardInput(unsigned long, C4KeyEventType, bool, bool, bool, bool, C4GUI::Dialog*, bool, int) (C4Game.cpp:1896)
    ==15569==    by 0x61BACF: OnKeyRelease(_GtkWidget*, _GdkEventKey*, void*) (C4WindowGTK.cpp:157)
    ==15569==    by 0x7CA3AEB: ??? (in /usr/lib/x86_64-linux-gnu/libgtk-3.so.0.1800.9)
    ==15569==    by 0x97E1FA4: g_closure_invoke (in /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0.4800.0)
    ==15569==    by 0x97F3FC0: ??? (in /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0.4800.0)
    ==15569==    by 0x97FC7F8: g_signal_emit_valist (in /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0.4800.0)
    ==15569==    by 0x97FD08E: g_signal_emit (in /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0.4800.0)
    ==15569==    by 0x7DE0FAB: ??? (in /usr/lib/x86_64-linux-gnu/libgtk-3.so.0.1800.9)
    ==15569==    by 0x7CA1008: ??? (in /usr/lib/x86_64-linux-gnu/libgtk-3.so.0.1800.9)
    ==15569==    by 0x7CA2CFB: gtk_main_do_event (in /usr/lib/x86_64-linux-gnu/libgtk-3.so.0.1800.9)
    ==15569==
    
    
    
    txt file icon valgrind.txt (36,711 bytes) 2016-04-17 18:13 +
  • txt file icon valgrind-possible-crash-cause.txt (15,878 bytes) 2016-04-17 19:05 -
    ==25570== Thread 1:
    ==25570== Invalid write of size 8
    ==25570==    at 0x4ED1F2: C4TeamList::AddTeam(C4Team*) (C4Teams.cpp:346)
    ==25570==    by 0x4F498C: C4TeamList::CreateTeam(char const*) (C4Teams.cpp:365)
    ==25570==    by 0x4F4A3E: C4TeamList::GenerateDefaultTeams(int) (C4Teams.cpp:377)
    ==25570==    by 0x4F4B1A: C4TeamList::GetGenerateTeamByID(int) (C4Teams.cpp:399)
    ==25570==    by 0x52B67B: C4PlayerInfoList::AddInfo(C4ClientPlayerInfos*) (C4PlayerInfo.cpp:909)
    ==25570==    by 0x6D169C: C4Network2Players::HandlePlayerInfo(C4ClientPlayerInfos const&) (C4Network2Players.cpp:234)
    ==25570==    by 0x4E5602: C4GameControl::ExecControlPacket(C4PacketType, C4ControlPacket*) (C4GameControl.cpp:490)
    ==25570==    by 0x6E3A57: C4GameControlNetwork::HandleControlPkt(C4PacketType, C4ControlPacket*, C4ControlDeliveryType) (C4GameControlNetwork.cpp:592)
    ==25570==    by 0x6E3C2E: C4GameControlNetwork::HandlePacket(char, C4PacketBase const*, C4Network2IOConnection*) (C4GameControlNetwork.cpp:499)
    ==25570==    by 0x677AAC: C4Network2IO::HandlePacket(C4NetIOPacket const&, C4Network2IOConnection*, bool) (C4Network2IO.cpp:823)
    ==25570==    by 0x67864D: C4Network2IO::OnThreadEvent(C4InteractiveEventType, void*) (C4Network2IO.cpp:633)
    ==25570==    by 0x6DB733: C4InteractiveThread::ProcessEvents() (C4InteractiveThread.cpp:161)
    ==25570==  Address 0x1834b600 is 0 bytes after a block of size 32 alloc'd
    ==25570==    at 0x4C2A88F: operator new[](unsigned long) (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
    ==25570==    by 0x4ED237: C4TeamList::AddTeam(C4Team*) (C4Teams.cpp:341)
    ==25570==    by 0x4F498C: C4TeamList::CreateTeam(char const*) (C4Teams.cpp:365)
    ==25570==    by 0x4F4A3E: C4TeamList::GenerateDefaultTeams(int) (C4Teams.cpp:377)
    ==25570==    by 0x4F4B1A: C4TeamList::GetGenerateTeamByID(int) (C4Teams.cpp:399)
    ==25570==    by 0x52B67B: C4PlayerInfoList::AddInfo(C4ClientPlayerInfos*) (C4PlayerInfo.cpp:909)
    ==25570==    by 0x6D169C: C4Network2Players::HandlePlayerInfo(C4ClientPlayerInfos const&) (C4Network2Players.cpp:234)
    ==25570==    by 0x4E5602: C4GameControl::ExecControlPacket(C4PacketType, C4ControlPacket*) (C4GameControl.cpp:490)
    ==25570==    by 0x6E3A57: C4GameControlNetwork::HandleControlPkt(C4PacketType, C4ControlPacket*, C4ControlDeliveryType) (C4GameControlNetwork.cpp:592)
    ==25570==    by 0x6E3C2E: C4GameControlNetwork::HandlePacket(char, C4PacketBase const*, C4Network2IOConnection*) (C4GameControlNetwork.cpp:499)
    ==25570==    by 0x677AAC: C4Network2IO::HandlePacket(C4NetIOPacket const&, C4Network2IOConnection*, bool) (C4Network2IO.cpp:823)
    ==25570==    by 0x67864D: C4Network2IO::OnThreadEvent(C4InteractiveEventType, void*) (C4Network2IO.cpp:633)
    ==25570==
    ==25570== Invalid read of size 8
    ==25570==    at 0x4F4B3E: GetTeamByID (C4Teams.cpp:385)
    ==25570==    by 0x4F4B3E: C4TeamList::GetGenerateTeamByID(int) (C4Teams.cpp:400)
    ==25570==    by 0x52B67B: C4PlayerInfoList::AddInfo(C4ClientPlayerInfos*) (C4PlayerInfo.cpp:909)
    ==25570==    by 0x6D169C: C4Network2Players::HandlePlayerInfo(C4ClientPlayerInfos const&) (C4Network2Players.cpp:234)
    ==25570==    by 0x4E5602: C4GameControl::ExecControlPacket(C4PacketType, C4ControlPacket*) (C4GameControl.cpp:490)
    ==25570==    by 0x6E3A57: C4GameControlNetwork::HandleControlPkt(C4PacketType, C4ControlPacket*, C4ControlDeliveryType) (C4GameControlNetwork.cpp:592)
    ==25570==    by 0x6E3C2E: C4GameControlNetwork::HandlePacket(char, C4PacketBase const*, C4Network2IOConnection*) (C4GameControlNetwork.cpp:499)
    ==25570==    by 0x677AAC: C4Network2IO::HandlePacket(C4NetIOPacket const&, C4Network2IOConnection*, bool) (C4Network2IO.cpp:823)
    ==25570==    by 0x67864D: C4Network2IO::OnThreadEvent(C4InteractiveEventType, void*) (C4Network2IO.cpp:633)
    ==25570==    by 0x6DB733: C4InteractiveThread::ProcessEvents() (C4InteractiveThread.cpp:161)
    ==25570==    by 0x6DB845: C4InteractiveThreadNotifyProc::Execute(int, pollfd*) (C4InteractiveThread.cpp:206)
    ==25570==    by 0x72683B: StdScheduler::DoScheduleProcs(int) (StdSchedulerPoll.cpp:175)
    ==25570==    by 0x726C97: StdScheduler::ScheduleProcs(int) (StdScheduler.cpp:153)
    ==25570==  Address 0x1834b600 is 0 bytes after a block of size 32 alloc'd
    ==25570==    at 0x4C2A88F: operator new[](unsigned long) (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
    ==25570==    by 0x4ED237: C4TeamList::AddTeam(C4Team*) (C4Teams.cpp:341)
    ==25570==    by 0x4F498C: C4TeamList::CreateTeam(char const*) (C4Teams.cpp:365)
    ==25570==    by 0x4F4A3E: C4TeamList::GenerateDefaultTeams(int) (C4Teams.cpp:377)
    ==25570==    by 0x4F4B1A: C4TeamList::GetGenerateTeamByID(int) (C4Teams.cpp:399)
    ==25570==    by 0x52B67B: C4PlayerInfoList::AddInfo(C4ClientPlayerInfos*) (C4PlayerInfo.cpp:909)
    ==25570==    by 0x6D169C: C4Network2Players::HandlePlayerInfo(C4ClientPlayerInfos const&) (C4Network2Players.cpp:234)
    ==25570==    by 0x4E5602: C4GameControl::ExecControlPacket(C4PacketType, C4ControlPacket*) (C4GameControl.cpp:490)
    ==25570==    by 0x6E3A57: C4GameControlNetwork::HandleControlPkt(C4PacketType, C4ControlPacket*, C4ControlDeliveryType) (C4GameControlNetwork.cpp:592)
    ==25570==    by 0x6E3C2E: C4GameControlNetwork::HandlePacket(char, C4PacketBase const*, C4Network2IOConnection*) (C4GameControlNetwork.cpp:499)
    ==25570==    by 0x677AAC: C4Network2IO::HandlePacket(C4NetIOPacket const&, C4Network2IOConnection*, bool) (C4Network2IO.cpp:823)
    ==25570==    by 0x67864D: C4Network2IO::OnThreadEvent(C4InteractiveEventType, void*) (C4Network2IO.cpp:633)
    ==25570==
    ==25570== Invalid read of size 8
    ==25570==    at 0x4F62D0: C4TeamList::RecheckPlayers() (C4Teams.cpp:665)
    ==25570==    by 0x6D16AB: C4Network2Players::HandlePlayerInfo(C4ClientPlayerInfos const&) (C4Network2Players.cpp:236)
    ==25570==    by 0x4E5602: C4GameControl::ExecControlPacket(C4PacketType, C4ControlPacket*) (C4GameControl.cpp:490)
    ==25570==    by 0x6E3A57: C4GameControlNetwork::HandleControlPkt(C4PacketType, C4ControlPacket*, C4ControlDeliveryType) (C4GameControlNetwork.cpp:592)
    ==25570==    by 0x6E3C2E: C4GameControlNetwork::HandlePacket(char, C4PacketBase const*, C4Network2IOConnection*) (C4GameControlNetwork.cpp:499)
    ==25570==    by 0x677AAC: C4Network2IO::HandlePacket(C4NetIOPacket const&, C4Network2IOConnection*, bool) (C4Network2IO.cpp:823)
    ==25570==    by 0x67864D: C4Network2IO::OnThreadEvent(C4InteractiveEventType, void*) (C4Network2IO.cpp:633)
    ==25570==    by 0x6DB733: C4InteractiveThread::ProcessEvents() (C4InteractiveThread.cpp:161)
    ==25570==    by 0x6DB845: C4InteractiveThreadNotifyProc::Execute(int, pollfd*) (C4InteractiveThread.cpp:206)
    ==25570==    by 0x72683B: StdScheduler::DoScheduleProcs(int) (StdSchedulerPoll.cpp:175)
    ==25570==    by 0x726C97: StdScheduler::ScheduleProcs(int) (StdScheduler.cpp:153)
    ==25570==    by 0x6E012E: C4Network2::DoLobby() (C4Network2.cpp:386)
    ==25570==  Address 0x1834b600 is 0 bytes after a block of size 32 alloc'd
    ==25570==    at 0x4C2A88F: operator new[](unsigned long) (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
    ==25570==    by 0x4ED237: C4TeamList::AddTeam(C4Team*) (C4Teams.cpp:341)
    ==25570==    by 0x4F498C: C4TeamList::CreateTeam(char const*) (C4Teams.cpp:365)
    ==25570==    by 0x4F4A3E: C4TeamList::GenerateDefaultTeams(int) (C4Teams.cpp:377)
    ==25570==    by 0x4F4B1A: C4TeamList::GetGenerateTeamByID(int) (C4Teams.cpp:399)
    ==25570==    by 0x52B67B: C4PlayerInfoList::AddInfo(C4ClientPlayerInfos*) (C4PlayerInfo.cpp:909)
    ==25570==    by 0x6D169C: C4Network2Players::HandlePlayerInfo(C4ClientPlayerInfos const&) (C4Network2Players.cpp:234)
    ==25570==    by 0x4E5602: C4GameControl::ExecControlPacket(C4PacketType, C4ControlPacket*) (C4GameControl.cpp:490)
    ==25570==    by 0x6E3A57: C4GameControlNetwork::HandleControlPkt(C4PacketType, C4ControlPacket*, C4ControlDeliveryType) (C4GameControlNetwork.cpp:592)
    ==25570==    by 0x6E3C2E: C4GameControlNetwork::HandlePacket(char, C4PacketBase const*, C4Network2IOConnection*) (C4GameControlNetwork.cpp:499)
    ==25570==    by 0x677AAC: C4Network2IO::HandlePacket(C4NetIOPacket const&, C4Network2IOConnection*, bool) (C4Network2IO.cpp:823)
    ==25570==    by 0x67864D: C4Network2IO::OnThreadEvent(C4InteractiveEventType, void*) (C4Network2IO.cpp:633)
    ==25570==
    ==25570== Invalid read of size 8
    ==25570==    at 0x4ED1B0: C4TeamList::GetTeamByID(int) const (C4Teams.cpp:385)
    ==25570==    by 0x581BB7: C4PlayerInfoListBox::PlayerListItem::UpdateTeam() (C4PlayerInfoListBox.cpp:324)
    ==25570==    by 0x58C86B: C4PlayerInfoListBox::PlayerListItem::PlayerListItem(C4PlayerInfoListBox*, int, int, bool, C4GUI::Element*) (C4PlayerInfoListBox.cpp:105)
    ==25570==    by 0x70C7DC: C4PlayerInfoListBox::UpdatePlayersByClient(C4PlayerInfoListBox::ListItem**) (C4PlayerInfoListBox.cpp:1503)
    ==25570==    by 0x70CDD2: C4PlayerInfoListBox::Update() [clone .part.114] [clone .lto_priv.4791] (C4PlayerInfoListBox.cpp:1315)
    ==25570==    by 0x6D16F5: OnPlayersChange (C4GameLobby.h:151)
    ==25570==    by 0x6D16F5: C4Network2Players::HandlePlayerInfo(C4ClientPlayerInfos const&) (C4Network2Players.cpp:255)
    ==25570==    by 0x4E5602: C4GameControl::ExecControlPacket(C4PacketType, C4ControlPacket*) (C4GameControl.cpp:490)
    ==25570==    by 0x6E3A57: C4GameControlNetwork::HandleControlPkt(C4PacketType, C4ControlPacket*, C4ControlDeliveryType) (C4GameControlNetwork.cpp:592)
    ==25570==    by 0x6E3C2E: C4GameControlNetwork::HandlePacket(char, C4PacketBase const*, C4Network2IOConnection*) (C4GameControlNetwork.cpp:499)
    ==25570==    by 0x677AAC: C4Network2IO::HandlePacket(C4NetIOPacket const&, C4Network2IOConnection*, bool) (C4Network2IO.cpp:823)
    ==25570==    by 0x67864D: C4Network2IO::OnThreadEvent(C4InteractiveEventType, void*) (C4Network2IO.cpp:633)
    ==25570==    by 0x6DB733: C4InteractiveThread::ProcessEvents() (C4InteractiveThread.cpp:161)
    ==25570==  Address 0x1834b600 is 0 bytes after a block of size 32 alloc'd
    ==25570==    at 0x4C2A88F: operator new[](unsigned long) (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
    ==25570==    by 0x4ED237: C4TeamList::AddTeam(C4Team*) (C4Teams.cpp:341)
    ==25570==    by 0x4F498C: C4TeamList::CreateTeam(char const*) (C4Teams.cpp:365)
    ==25570==    by 0x4F4A3E: C4TeamList::GenerateDefaultTeams(int) (C4Teams.cpp:377)
    ==25570==    by 0x4F4B1A: C4TeamList::GetGenerateTeamByID(int) (C4Teams.cpp:399)
    ==25570==    by 0x52B67B: C4PlayerInfoList::AddInfo(C4ClientPlayerInfos*) (C4PlayerInfo.cpp:909)
    ==25570==    by 0x6D169C: C4Network2Players::HandlePlayerInfo(C4ClientPlayerInfos const&) (C4Network2Players.cpp:234)
    ==25570==    by 0x4E5602: C4GameControl::ExecControlPacket(C4PacketType, C4ControlPacket*) (C4GameControl.cpp:490)
    ==25570==    by 0x6E3A57: C4GameControlNetwork::HandleControlPkt(C4PacketType, C4ControlPacket*, C4ControlDeliveryType) (C4GameControlNetwork.cpp:592)
    ==25570==    by 0x6E3C2E: C4GameControlNetwork::HandlePacket(char, C4PacketBase const*, C4Network2IOConnection*) (C4GameControlNetwork.cpp:499)
    ==25570==    by 0x677AAC: C4Network2IO::HandlePacket(C4NetIOPacket const&, C4Network2IOConnection*, bool) (C4Network2IO.cpp:823)
    ==25570==    by 0x67864D: C4Network2IO::OnThreadEvent(C4InteractiveEventType, void*) (C4Network2IO.cpp:633)
    ==25570==
    [19:48:36] Client empty activated.
    ==25570== Invalid read of size 8
    ==25570==    at 0x4ED1B0: C4TeamList::GetTeamByID(int) const (C4Teams.cpp:385)
    ==25570==    by 0x581BB7: C4PlayerInfoListBox::PlayerListItem::UpdateTeam() (C4PlayerInfoListBox.cpp:324)
    ==25570==    by 0x58A726: C4PlayerInfoListBox::PlayerListItem::Update() (C4PlayerInfoListBox.cpp:628)
    ==25570==    by 0x57FB49: C4PlayerInfoListBox::PlrListItemUpdate(C4PlayerInfoListBox::ListItem::ID::IDType, int, C4PlayerInfoListBox::ListItem**) (C4PlayerInfoListBox.cpp:1277)
    ==25570==    by 0x70C7A2: C4PlayerInfoListBox::UpdatePlayersByClient(C4PlayerInfoListBox::ListItem**) (C4PlayerInfoListBox.cpp:1502)
    ==25570==    by 0x70CDD2: C4PlayerInfoListBox::Update() [clone .part.114] [clone .lto_priv.4791] (C4PlayerInfoListBox.cpp:1315)
    ==25570==    by 0x4EFEBA: C4ApplicationSec1Timer::Execute(int, pollfd*) (StdScheduler.h:138)
    ==25570==    by 0x72683B: StdScheduler::DoScheduleProcs(int) (StdSchedulerPoll.cpp:175)
    ==25570==    by 0x726C97: StdScheduler::ScheduleProcs(int) (StdScheduler.cpp:153)
    ==25570==    by 0x6E012E: C4Network2::DoLobby() (C4Network2.cpp:386)
    ==25570==    by 0x503809: C4Game::Init() (C4Game.cpp:399)
    ==25570==    by 0x503A08: C4Application::GameTick() (C4Application.cpp:688)
    ==25570==  Address 0x1834b600 is 0 bytes after a block of size 32 alloc'd
    ==25570==    at 0x4C2A88F: operator new[](unsigned long) (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
    ==25570==    by 0x4ED237: C4TeamList::AddTeam(C4Team*) (C4Teams.cpp:341)
    ==25570==    by 0x4F498C: C4TeamList::CreateTeam(char const*) (C4Teams.cpp:365)
    ==25570==    by 0x4F4A3E: C4TeamList::GenerateDefaultTeams(int) (C4Teams.cpp:377)
    ==25570==    by 0x4F4B1A: C4TeamList::GetGenerateTeamByID(int) (C4Teams.cpp:399)
    ==25570==    by 0x52B67B: C4PlayerInfoList::AddInfo(C4ClientPlayerInfos*) (C4PlayerInfo.cpp:909)
    ==25570==    by 0x6D169C: C4Network2Players::HandlePlayerInfo(C4ClientPlayerInfos const&) (C4Network2Players.cpp:234)
    ==25570==    by 0x4E5602: C4GameControl::ExecControlPacket(C4PacketType, C4ControlPacket*) (C4GameControl.cpp:490)
    ==25570==    by 0x6E3A57: C4GameControlNetwork::HandleControlPkt(C4PacketType, C4ControlPacket*, C4ControlDeliveryType) (C4GameControlNetwork.cpp:592)
    ==25570==    by 0x6E3C2E: C4GameControlNetwork::HandlePacket(char, C4PacketBase const*, C4Network2IOConnection*) (C4GameControlNetwork.cpp:499)
    ==25570==    by 0x677AAC: C4Network2IO::HandlePacket(C4NetIOPacket const&, C4Network2IOConnection*, bool) (C4Network2IO.cpp:823)
    ==25570==    by 0x67864D: C4Network2IO::OnThreadEvent(C4InteractiveEventType, void*) (C4Network2IO.cpp:633)
    ==25570==
    ==25570== Invalid read of size 8
    ==25570==    at 0x4ED514: C4TeamList::ClearTeams() (C4Teams.cpp:355)
    ==25570==    by 0x4ED578: C4TeamList::Clear() (C4Teams.cpp:259)
    ==25570==    by 0x4E4A9D: C4GameParameters::Clear() (C4GameParameters.cpp:397)
    ==25570==    by 0x4FD7E9: C4Game::Clear() (C4Game.cpp:570)
    ==25570==    by 0x503949: C4Application::GameTick() (C4Application.cpp:708)
    ==25570==    by 0x503C01: C4ApplicationGameTimer::Execute(int, pollfd*) (C4Application.cpp:906)
    ==25570==    by 0x72683B: StdScheduler::DoScheduleProcs(int) (StdSchedulerPoll.cpp:175)
    ==25570==    by 0x726C97: StdScheduler::ScheduleProcs(int) (StdScheduler.cpp:153)
    ==25570==    by 0x64A78C: C4AbstractApp::Run() (C4App.cpp:25)
    ==25570==    by 0x4BE5BF: main (ClonkMain.cpp:237)
    ==25570==  Address 0x1834b600 is 0 bytes after a block of size 32 alloc'd
    ==25570==    at 0x4C2A88F: operator new[](unsigned long) (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
    ==25570==    by 0x4ED237: C4TeamList::AddTeam(C4Team*) (C4Teams.cpp:341)
    ==25570==    by 0x4F498C: C4TeamList::CreateTeam(char const*) (C4Teams.cpp:365)
    ==25570==    by 0x4F4A3E: C4TeamList::GenerateDefaultTeams(int) (C4Teams.cpp:377)
    ==25570==    by 0x4F4B1A: C4TeamList::GetGenerateTeamByID(int) (C4Teams.cpp:399)
    ==25570==    by 0x52B67B: C4PlayerInfoList::AddInfo(C4ClientPlayerInfos*) (C4PlayerInfo.cpp:909)
    ==25570==    by 0x6D169C: C4Network2Players::HandlePlayerInfo(C4ClientPlayerInfos const&) (C4Network2Players.cpp:234)
    ==25570==    by 0x4E5602: C4GameControl::ExecControlPacket(C4PacketType, C4ControlPacket*) (C4GameControl.cpp:490)
    ==25570==    by 0x6E3A57: C4GameControlNetwork::HandleControlPkt(C4PacketType, C4ControlPacket*, C4ControlDeliveryType) (C4GameControlNetwork.cpp:592)
    ==25570==    by 0x6E3C2E: C4GameControlNetwork::HandlePacket(char, C4PacketBase const*, C4Network2IOConnection*) (C4GameControlNetwork.cpp:499)
    ==25570==    by 0x677AAC: C4Network2IO::HandlePacket(C4NetIOPacket const&, C4Network2IOConnection*, bool) (C4Network2IO.cpp:823)
    ==25570==    by 0x67864D: C4Network2IO::OnThreadEvent(C4InteractiveEventType, void*) (C4Network2IO.cpp:633)
    ==25570==
    
    
    txt file icon valgrind-possible-crash-cause.txt (15,878 bytes) 2016-04-17 19:05 +

-Relationships
has duplicate 0001655resolvedSven2 Crash while in the lobby 
+Relationships

-Notes

~0005051

Luchs (administrator)

Only seems to happen when lots of players (> 4) join a game. The host never crashes.

~0005052

Maikel (developer)

Maybe connected to a recent commit, as it did not appear two/three weeks ago.

~0005058

sphalerite (reporter)

Added some output from valgrind, but it's not related to the crashes as far as I can see. Will be looking for some more.

~0005059

sphalerite (reporter)

Added valgrind output for more likely crash cause

~0005068

occ (reporter)

Hi! There's been a check-in that references this bug. For more information you can visit the repository browser at this address:
https://git.openclonk.org/openclonk.git/commitdiff/f41d3b88699583de01541a66f7636576a2d90095

Changeset f41d3b8 by Sven Eberhardt <sven2@goldwipf.de>
Fix out-of-bounds memory access in C4Team [sphalerite] 0001717

~0005069

Sven2 (developer)

Pushed a fix for the memory access error in C4Team

~0005070

Sven2 (developer)

We didn't have any more crashes so I assume the team fix solved it. Can be reopened if the problem arises again.
+Notes

-Issue History
Date Modified Username Field Change
2016-04-16 20:53 Luchs New Issue
2016-04-16 22:10 Luchs Note Added: 0005051
2016-04-17 08:21 Maikel Note Added: 0005052
2016-04-17 08:21 Maikel Product Version => git master
2016-04-17 08:21 Maikel Target Version => 8.0
2016-04-17 18:13 sphalerite File Added: valgrind.txt
2016-04-17 18:14 sphalerite Note Added: 0005058
2016-04-17 19:05 sphalerite File Added: valgrind-possible-crash-cause.txt
2016-04-17 19:05 sphalerite Note Added: 0005059
2016-04-20 01:17 occ Note Added: 0005068
2016-04-20 01:32 Sven2 Note Added: 0005069
2016-04-20 21:59 Sven2 Note Added: 0005070
2016-04-20 21:59 Sven2 Status new => resolved
2016-04-20 21:59 Sven2 Fixed in Version => git master
2016-04-20 21:59 Sven2 Resolution open => fixed
2016-04-20 21:59 Sven2 Assigned To => Sven2
2016-05-07 16:13 Luchs Relationship added duplicate of 0001655
2016-05-07 16:14 Luchs Relationship replaced has duplicate 0001655
+Issue History